# Starting and Quitting GrADS

GrADS is started by entering the name of one of the GrADS executables at the command line prompt. For example:

`# grads`

Before initialising the graphics output environment, GrADS will prompt for landscape or portrait mode. Landscape is 11 x 8.5 inches, portrait is 8.5 x 11 inches. The actual size of the window will not, of course, be 11 x 8.5 inches (or 8.5 x 11 inches), but instead will be scaled to fit comfortably withing your workstation's display size.

## Startup options

You may specify the following options as arguments to the `grads` command when GrADS is started:

`-help` Prints out a list of all command line options.
`-l` Run grads in landscape mode. The Portrait vs. Landscape question is not asked.
`-p` Run grads in portrait mode. The Portrait vs. Landscape question is not asked.
`-b` Run grads in batch mode. No graphics output window is opened.
`-g geom` Explicitly set the dimensions of the display window at startup.
`-c cmd` Execute the supplied `cmd` as the first GrADS command to execute after GrADS is started.

Additional command line options are documented here. GrADS will always treat the display window as if it were 11 x 8.5 or 8.5 x 11 so if you use the -g option at startup, it is best to size the window with the proper aspect ratio. Once GrADS is started up, you can resize the window at any time using the command:

`ga-> set xsize x y`

which resizes the window to `x,y` pixels.

You will enter GrADS commands in the text window from where you started GrADS. Graphics output will appear in the graphics display window in response to the commands you enter. You will thus need to make the text window the "active" window; the window that receives keyboard input.

## Help

Typing `help` at the GrADS command prompt gives a summary list of operations essential to do anything in GrADS.

`ga-> help`

This is intended to jog memory rather than provide an exhaustive help facility. If the GrADS manual is not available, you can obtain info on most command parameters by typing the command on its own. Alternatively, we are setting up comprehensive documentation intended to be used as a local Web facility.

## Diagnostics at startup

When you start GrADS you get some information about the version and configured options, then you get the GrADS prompt to begin working with data. For example: `

# grads -l

Grid Analysis and Display System (GrADS) Version 2.0.a3
Copyright (c) 1988-2008 by Brian Doty and the
Institute for Global Environment and Society (IGES)
GrADS comes with ABSOLUTELY NO WARRANTY
See file COPYRIGHT for more information

Config: v2.0.a3 little-endian readline printim grib2 netcdf hdf4-sds
Issue 'q config' command for more information.
GX Package Initialization: Size = 11 8.5
ga->

`

## Quitting GrADS

To leave GrADS, enter the command:

`ga-> quit`

#